## pureos-archive-keyring 2021.11.0

=== debian/changelog ===
pureos-archive-keyring (2021.11.0) byzantium; urgency=medium

  * Don't invoke apt-key in postinst
  * Bump compat level and Vcs-* URLs

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Mon, 08 Nov 2021 10:44:02 +0100

pureos-archive-keyring (2016.09.0) landing; urgency=medium

  * Initial release with the PureOS archive signing key

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 21 Sep 2016 20:54:12 +0200
