=== debian/control ===
Source: pureos-archive-keyring
Section: misc
Priority: important
Maintainer: PureOS Core Developers <pureos-project@lists.puri.sm>
Uploaders: Matthias Klumpp <matthias.klumpp@puri.sm>
Build-Depends: debhelper-compat (= 12),
               gnupg
Vcs-Browser: https://source.puri.sm/pureos/core/pureos-archive-keyring
Vcs-Git: https://source.puri.sm/pureos/core/pureos-archive-keyring.git
Standards-Version: 4.6.0

Package: pureos-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: gpgv,
         ${misc:Depends}
Recommends: gnupg
Description: GnuPG archive keys of the PureOS archive
 The PureOS project digitally signs its Release files. This package
 contains the archive keys used for that.

Package: pureos-archive-keyring-udeb
XC-Package-Type: udeb
Priority: optional
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Recommends: gpgv-udeb
Description: GnuPG keys of the PureOS archive
 The PureOS project digitally signs its Release files. This package
 contains the archive keys used for that, in a minimal form for use
 in the installer.
