=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for debian/keyring
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2003 James Troup
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

install_dir=install -d -m 755
install_file=install -m 644
install_script=install -m 755
install_binary=install -m 755 -s

VERSION := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:

clean:
	$(checkdir)
	-rm -f foo foo.asc *.bak *~ */*~ debian/files* debian/*substvars
	-rm -rf debian/tmp debian/pureos-archive-keyring-udeb

binary-indep: checkroot
	$(checkdir)
	-rm -rf debian/tmp
	$(install_dir) debian/tmp/DEBIAN/
	$(install_script) debian/postinst debian/tmp/DEBIAN/

	$(install_dir) debian/tmp/usr/share/keyrings/
	$(install_file) keyrings/pureos-archive-keyring.gpg debian/tmp/usr/share/keyrings/
	$(install_file) keyrings/pureos-archive-removed-keys.gpg debian/tmp/usr/share/keyrings/

	$(install_dir) debian/tmp/usr/share/doc/pureos-archive-keyring/
	$(install_file) README.md debian/tmp/usr/share/doc/pureos-archive-keyring/
	$(install_file) debian/changelog debian/tmp/usr/share/doc/pureos-archive-keyring/changelog
	gzip -9v debian/tmp/usr/share/doc/pureos-archive-keyring/*
	$(install_file) debian/copyright debian/tmp/usr/share/doc/pureos-archive-keyring/
	cd debian/tmp; find -type f \! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum >DEBIAN/md5sums

	dpkg-gencontrol -ppureos-archive-keyring -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

	-rm -rf debian/pureos-archive-keyring-udeb
	$(install_dir) debian/pureos-archive-keyring-udeb/DEBIAN/

	$(install_dir) debian/pureos-archive-keyring-udeb/usr/share/keyrings/
	$(install_file) keyrings/pureos-archive-keyring.gpg debian/pureos-archive-keyring-udeb/usr/share/keyrings/
	install -m 755 debian/pureos-archive-keyring-udeb.postinst debian/pureos-archive-keyring-udeb/DEBIAN/postinst

	# Don't let dpkg-gencontrol write incorrect guesses to debian/files.
	# Instead, register the udeb manually.
	dpkg-gencontrol -npureos-archive-keyring-udeb_$(VERSION)_all.udeb -ppureos-archive-keyring-udeb -Tdebian/pureos-archive-keyring-udeb.substvars -Pdebian/pureos-archive-keyring-udeb -isp
	chown -R root.root debian/pureos-archive-keyring-udeb
	chmod -R go=rX debian/pureos-archive-keyring-udeb
	dpkg --build debian/pureos-archive-keyring-udeb ../pureos-archive-keyring-udeb_$(VERSION)_all.udeb

binary-arch:

define checkdir
	test -f keyrings/pureos-archive-keyring.gpg
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot build
