## pureos-archive-keyring 2024.04.0

=== debian/changelog ===
pureos-archive-keyring (2024.04.0) crimson; urgency=medium

  * Add new PureOS archive signing key
  * Bump standards version
  * Don't include timestamps in gzip'ed files

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 08 May 2024 20:20:02 +0200
