=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: important
 Maintainer: PureOS Core Developers <pureos-project@lists.puri.sm>
 Uploaders: Matthias Klumpp <matthias.klumpp@puri.sm>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gnupg
 Vcs-Browser: https://source.puri.sm/pureos/core/pureos-archive-keyring
 Vcs-Git: https://source.puri.sm/pureos/core/pureos-archive-keyring.git
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 
 Package: pureos-archive-keyring
 Architecture: all
