=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	$(install_dir) debian/tmp/usr/share/doc/pureos-archive-keyring/
 	$(install_file) README.md debian/tmp/usr/share/doc/pureos-archive-keyring/
 	$(install_file) debian/changelog debian/tmp/usr/share/doc/pureos-archive-keyring/changelog
-	gzip -9v debian/tmp/usr/share/doc/pureos-archive-keyring/*
+	gzip -9vn debian/tmp/usr/share/doc/pureos-archive-keyring/*
 	$(install_file) debian/copyright debian/tmp/usr/share/doc/pureos-archive-keyring/
 	cd debian/tmp; find -type f \! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum >DEBIAN/md5sums
